## latexila 2.0.8

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6.4)

project ("latexila" C)

set (APP_NAME "LaTeXila")
set (APP_VERSION "2.0.8")

message (STATUS "*** Building ${APP_NAME} ${APP_VERSION} ***")

set (DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/latexila"
	CACHE PATH "The directory where the data is")
set (BUILD_VALA OFF CACHE BOOL "Generate the C code from Vala files")

# for debugging
#set (CMAKE_C_FLAGS "-ggdb")

# Native Language Support
set (GETTEXT_PACKAGE "latexila")
set (LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
find_package (Gettext REQUIRED)
file (GLOB latexila_PO_FILES ${latexila_SOURCE_DIR}/po/*.po)
gettext_create_translations (po/latexila.pot ALL ${latexila_PO_FILES})

set (SCHEMA_DIR "${CMAKE_INSTALL_PREFIX}/share")
set (ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor")

if (BUILD_VALA)
	list (APPEND CMAKE_MODULE_PATH "${latexila_SOURCE_DIR}/cmake/vala")
	include (ValaPrecompile)
	include (ValaVersion)
	find_package (Vala REQUIRED)
	ensure_vala_version ("0.10.0" MINIMUM)
#	ensure_vala_version ("0.10.99" MAXIMUM)
endif ()

find_package (PkgConfig)
pkg_check_modules (GTK REQUIRED "gtk+-2.0 >= 2.16")
pkg_check_modules (GTKSOURCEVIEW REQUIRED "gtksourceview-2.0 >= 2.10")
pkg_check_modules (GEE REQUIRED "gee-1.0")
pkg_check_modules (GIO REQUIRED "gio-2.0 >= 2.26")
pkg_check_modules (UNIQUE REQUIRED "unique-1.0")
pkg_check_modules (GDK-X11 REQUIRED "gdk-x11-2.0")
pkg_check_modules (X11 REQUIRED "x11")
pkg_check_modules (DESKTOP-SCHEMAS "gsettings-desktop-schemas")

# is there an easier way?
if (DESKTOP-SCHEMAS_FOUND)
	set (DESKTOP_SCHEMAS "1")
else ()
	set (DESKTOP_SCHEMAS "0")
endif ()

configure_file (${latexila_SOURCE_DIR}/src/config.h.in
	${latexila_BINARY_DIR}/src/config.h)
add_definitions (-include config.h)

add_definitions (
	${GTK_CFLAGS}
	${GTKSOURCEVIEW_CFLAGS}
	${GEE_CFLAGS}
	${GIO_CFLAGS}
	${UNIQUE_CFLAGS}
	${GDK-X11_CFLAGS}
	${X11_CFLAGS}
)

link_libraries (
	${GTK_LIBRARIES}
	${GTKSOURCEVIEW_LIBRARIES}
	${GEE_LIBRARIES}
	${GIO_LIBRARIES}
	${UNIQUE_LIBRARIES}
	${GDK-X11_LIBRARIES}
	${X11_LIBRARIES}
)

include_directories (vapi src/C ${latexila_BINARY_DIR}/src)
add_subdirectory (man)
if (BUILD_VALA)
	add_subdirectory (src)
else ()
	add_subdirectory (src/C)
endif ()
add_subdirectory (src/ui)
add_subdirectory (data)

=== data/CMakeLists.txt ===
install (FILES "org.gnome.latexila.gschema.xml"
	DESTINATION "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas/")
install (SCRIPT "cmake-compile-schemas")

install (FILES "latexhelp.html" DESTINATION ${DATA_DIR})
install (FILES "completion.xml" DESTINATION ${DATA_DIR})
install (FILES "latexila.desktop" DESTINATION share/applications)

add_subdirectory ("build_tools")
add_subdirectory ("templates")
add_subdirectory ("images/app")
add_subdirectory ("images/icons")
add_subdirectory ("images/templates")
add_subdirectory ("images/arrows")
add_subdirectory ("images/delimiters")
add_subdirectory ("images/greek")
add_subdirectory ("images/misc-math")
add_subdirectory ("images/misc-text")
add_subdirectory ("images/operators")
add_subdirectory ("images/relations")

=== src/CMakeLists.txt ===
file (GLOB vala_sources RELATIVE "${latexila_SOURCE_DIR}/src/" "*.vala")
file (GLOB vapi_files "${latexila_SOURCE_DIR}/vapi/*.vapi")

vala_precompile (
	VALA_C
		${vala_sources}
	PACKAGES
		gtk+-2.0
		gtksourceview-2.0
		gee-1.0
		unique-1.0
		gdk-x11-2.0
		x11
		posix

# for debugging
#	OPTIONS
#		--debug

	CUSTOM_VAPIS
		${vapi_files}
	DIRECTORY
		"C"
)

add_executable (latexila ${VALA_C})
install (TARGETS latexila DESTINATION "bin")

=== data/build_tools/CMakeLists.txt ===
file (GLOB tools *.xml)
install (FILES ${tools} DESTINATION ${DATA_DIR}/build_tools)

=== src/ui/CMakeLists.txt ===
file (GLOB UI "*.ui")
install (FILES ui.xml ${UI} DESTINATION ${DATA_DIR}/ui)

=== data/images/templates/CMakeLists.txt ===
file (GLOB templates *.png)
install (FILES ${templates} DESTINATION ${DATA_DIR}/images/templates)

## latexila 0.2.0

=== debian/changelog ===
latexila (0.2.0-2) unstable; urgency=low

  * debian/control: make latexila depend on latexila-data. (Closes: #583172)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 26 May 2010 21:02:37 +0200

latexila (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #579279)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 26 Apr 2010 22:13:00 +0200

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 7.0.50~), docbook-xsl-ns, docbook5-xml, xsltproc, cmake (>= 2.6.4), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4)
Standards-Version: 3.8.4
Homepage: http://latexila.sourceforge.net/
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

Package: latexila
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0 (>= 2.16), libgtksourceview2.0-0  (>= 2.4), latexila-data (= ${source:Version})
Recommends: texlive
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS=-Wl,--as-needed

%:
	dh  $@

override_dh_auto_build:
	xsltproc --nonet -o debian/ \
	/usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl \
	debian/latexila.1.xml
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/latexila.1
	dh_auto_clean

=== debian/watch ===
version=3
http://sf.net/latexila/latexila-(.*)\.tar\.gz

## latexila 2.0.6

=== debian/changelog ===
latexila (2.0.6-1) unstable; urgency=low

  * New upstream release (bug fixes). (Closes: #615844)
  * debian/control: depend on rubber (a LaTeX IDE is almost useless if it
    cannot compile). (Closes: #617348)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 08 Mar 2011 20:12:19 +0100

latexila (2.0.5-1) unstable; urgency=low

  [ Tanguy Ortolo ]
  * New upstream version (new dependencies).
  * debian/control: bumped Standards-Version (no modification required).
  * debian/copyright: switched to DEP-5.
  * debian/latexila{,-data}.lintian-overrides: override two lintian false
    positives, due to the package split between latexila and latexila-data.
  * debian/rules: install NEWS as upstream changelog.
  * debian/latexila.xpm: update to the new icon.
  * debian/latexila.link: remove icon symlinks, now provided by upstream.
  * debian/watch: handle bzip2 and gzip tarballs.

  [ Emmanuel Bouthenot ]
  * debian/control: added DM-Upload-Allowed to allow Tanguy to upload the
    package by himself.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 08 Mar 2011 19:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: tex
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Build-Depends: debhelper (>= 7.0.50~), docbook-xsl-ns, docbook5-xml, xsltproc, cmake (>= 2.6.4), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), valac (>= 0.9.5), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4)
+Standards-Version: 3.9.1
 Homepage: http://latexila.sourceforge.net/
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
 Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git
+DM-Upload-Allowed: yes
 
 Package: latexila
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0 (>= 2.16), libgtksourceview2.0-0  (>= 2.4), latexila-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0 (>= 2.16), libgtksourceview2.0-0  (>= 2.4), libglib2.0-0 (>= 2.26), libgee2, libunique-1.0-0, latexila-data (= ${source:Version}), rubber
 Recommends: texlive
 Description: LaTeX editor designed for the GNOME desktop
  LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required

=== debian/watch ===
version=3
http://sf.net/latexila/latexila-(.*)\.tar\.(?:gz|bz2)

## latexila 2.0.7

=== debian/changelog ===
latexila (2.0.7-1) unstable; urgency=low

  * New upstream release (bug and typo fixes). (LP: #731514)
  * Rebuilt with debhelper >= 8.1.5 to detect the dependency on the dconf
    backend. (Closes: #620388)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 02 May 2011 00:26:08 +0200

## latexila 2.0.8

=== debian/changelog ===
latexila (2.0.8-1) unstable; urgency=low

  * New upstream version.
  * Upstream project now hosted by GNOME:
     + debian/control: New Homepage.
     + debian/watch: New release site (GNOME FTP) and tarball format (XZ'ed).
  * debian/control: updated Standards-Version -no change required).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 26 Jun 2011 15:39:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends: debhelper (>= 7.0.50~), valac (>= 0.9.5), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4)
-Standards-Version: 3.9.1
-Homepage: http://latexila.sourceforge.net/
+Standards-Version: 3.9.2
+Homepage: http://projects.gnome.org/latexila/
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
 Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git
 DM-Upload-Allowed: yes

=== debian/watch ===
version=3

# Upstream uses pair intermediate version numbers for stable releases
ftp://ftp.gnome.org/pub/GNOME/sources/latexila/(\d+\.[02468]+)/latexila-([\d\.]+).tar.bz2

## latexila 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6.4)

project ("latexila" C)

set (APP_NAME "LaTeXila")
set (APP_VERSION "2.2.0")

message (STATUS "*** Building ${APP_NAME} ${APP_VERSION} ***")

set (DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/latexila"
	CACHE PATH "The directory where the data is")
set (BUILD_VALA OFF CACHE BOOL "Generate the C code from Vala files")
set (WITH_GNOME OFF CACHE BOOL
	"Use gsettings-desktop-schemas for a better integration with GNOME")
set (COMPILE_SCHEMA ON CACHE BOOL "Compile the GSettings schema")

# Native Language Support
set (GETTEXT_PACKAGE "latexila")
set (LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
find_package (Gettext REQUIRED)
list (APPEND CMAKE_MODULE_PATH "${latexila_SOURCE_DIR}/cmake")
find_package (Itstool REQUIRED)

set (SCHEMA_DIR "${CMAKE_INSTALL_PREFIX}/share")
set (ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor")

if (BUILD_VALA)
	list (APPEND CMAKE_MODULE_PATH "${latexila_SOURCE_DIR}/cmake/vala")
	find_package (Vala "0.12.1" REQUIRED)
	if (${VALA_VERSION} VERSION_GREATER "0.12.99")
		message (FATAL_ERROR "Vala 0.12.x required")
	endif ()
	include (${VALA_USE_FILE})
endif ()

find_package (PkgConfig)
pkg_check_modules (GTK REQUIRED "gtk+-2.0 >= 2.16")
pkg_check_modules (GTKSOURCEVIEW REQUIRED "gtksourceview-2.0 >= 2.10")
pkg_check_modules (GEE REQUIRED "gee-1.0")
pkg_check_modules (GIO REQUIRED "gio-2.0 >= 2.26")
pkg_check_modules (UNIQUE REQUIRED "unique-1.0")
pkg_check_modules (GDK-X11 REQUIRED "gdk-x11-2.0")
pkg_check_modules (X11 REQUIRED "x11")

if (WITH_GNOME)
	pkg_check_modules (DESKTOP-SCHEMAS REQUIRED "gsettings-desktop-schemas")
	set (DESKTOP_SCHEMAS "1")
else ()
	set (DESKTOP_SCHEMAS "0")
endif ()

configure_file (${latexila_SOURCE_DIR}/src/config.h.in
	${latexila_BINARY_DIR}/src/config.h)
add_definitions (-include config.h)

add_definitions (
	${GTK_CFLAGS}
	${GTKSOURCEVIEW_CFLAGS}
	${GEE_CFLAGS}
	${GIO_CFLAGS}
	${UNIQUE_CFLAGS}
	${GDK-X11_CFLAGS}
	${X11_CFLAGS}
)

link_libraries (
	${GTK_LIBRARIES}
	${GTKSOURCEVIEW_LIBRARIES}
	${GEE_LIBRARIES}
	${GIO_LIBRARIES}
	${UNIQUE_LIBRARIES}
	${GDK-X11_LIBRARIES}
	${X11_LIBRARIES}
)

include ("${latexila_SOURCE_DIR}/cmake/itstool.cmake")

add_subdirectory (data)
add_subdirectory (help)
add_subdirectory (man)
add_subdirectory (po)
add_subdirectory (src/ui)

include_directories (vapi src/C ${latexila_BINARY_DIR}/src)
if (BUILD_VALA)
	add_subdirectory (src)
else ()
	add_subdirectory (src/C)
endif ()

=== debian/changelog ===
latexila (2.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #837392)
  * Upstream ChangeLog:
   - Integration with GNOME Damned Lies (use ITS Tool, ...)
   - Structure: more robust, and more optimized
   - Latexmk post processor: extract Latexmk messages
   - BibTeX and MakeIndex: fix problems for writing *.blg or *.ind files
   - Some UI improvements
   - New CMake options: WITH_GNOME and COMPILE_SCHEMA
   - Open File: filter to show only .tex and .bib files
   - Translation updates: French, German and Spanish
   - Some other little improvements and bug fixes
  * debian/control: Build-Depends:
   - valac is no longer needed (valac 0.12.x is not available on Oneiric).
   - itstool is now needed.
  * debian/rules:
   - Removed -DBUILD_VALA=ON CMake flag: we can't translate Vala
      files with Vala 0.13.
   - Added -DWITH_GNOME=ON: Better integration with GNOME
      and gsettings-desktop-schemas.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 30 Aug 2011 16:28:25 +0200

latexila (2.1.1-0ubuntu2) oneiric; urgency=low

  * debian/control:
   - Build-Depends: Added gsettings-desktop-schemas-dev
      (requested by the upstream)
   - Depends: Added gsettings-desktop-schemas and removed useless
      packages added by ${shlibs:Depends}.
  * debian/rules: Added BUILD_VALA flag in order to translate .vala
     files with valac package from the distribution (0.13)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 11 Aug 2011 23:26:20 +0200

latexila (2.1.1-0ubuntu1) oneiric; urgency=low

  [ Matthieu Baerts (matttbe) <matttbe@gmail.com> ]
  * New upstream release. (LP: #823566)
  * Upstream ChangeLog:
   + From 2.0.8 to 2.1.0:
    - Build Tools: Latexmk by default instead of Rubber
       (Rubber is still available)
    - New build tools: "low level" commands
       (latex, pdflatex, dvipdf, etc.)
    - Show/hide a build tool
    - Build View: show/hide errors/warnings/badboxes
    - File Browser: new icon for images
    - Structure of a document to easily navigate in it
    - Some code clean-up and little fixes
   + From 2.1.0 to 2.1.1:
    - Structure:
     ~ better implemenation (custom Gtk.TreeModel)
     ~ better performances (line-by-line parsing)
     ~ simple lists of items, to find more quickly one element
     ~ some actions: cut, copy, delete, select, comment, shift left/right
    - Build Tools: copy button to duplicate a build tool
    - Mallard documentation about the build tools
    - Build View: text is selectable, so we can copy/paste it
    - Cleanup Build Files: take into account projects
    - Show/hide the main toolbar
    - Fix: Build Tools not available on a .bib project file
    - dconf: scripts for migrating latexila 2.0.x -> 2.2.x
    - Some other little improvements and bug fixes
   + Note: These 2.1.x versions are the beta releases of next 2.2.x version.
  * debian/control:
   - Maintainer: Used the update-maintainer command.
   - latexila: updated the dependence list: replaced rubber by latexmk
      (see the ChangeLog above) (rubber is now suggested).
   - Added texlive-latex-extra as suggested package.
   - Added texlive-latex-recommended as recommended package
      (needed to build some templates).
   - Added gsettings-desktop-schemas and hicolor-icon-theme as
      recommended packages (requested by the upstream).

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Bump minimum valac build dependency to 0.12.1 to match the change in 
    CMakeLists.txt
    - update debian/control

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 11 Aug 2011 15:34:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: latexila
 Section: tex
 Priority: optional
-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Build-Depends: debhelper (>= 7.0.50~), valac (>= 0.9.5), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4), gsettings-desktop-schemas-dev, itstool
 Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/latexila/
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
@@ -11,8 +12,9 @@
 
 Package: latexila
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-0 (>= 2.16), libgtksourceview2.0-0  (>= 2.4), libglib2.0-0 (>= 2.26), libgee2, libunique-1.0-0, latexila-data (= ${source:Version}), rubber
-Recommends: texlive
+Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version}), latexmk, gsettings-desktop-schemas
+Recommends: texlive, texlive-latex-recommended, hicolor-icon-theme
+Suggests: rubber, texlive-latex-extra
 Description: LaTeX editor designed for the GNOME desktop
  LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
  for processing LaTeX documents. It provides menus, buttons and templates to

## latexila 2.2.2

=== debian/changelog ===
latexila (2.2.2-1ubuntu1) precise; urgency=low

  [ Leo Iannacone ]
  * Merge from Debian testing (LP: #913151).  Remaining changes:
    + debian/rules: 
      - override_dh_auto_configure passing -DWITH_GNOME=ON as a better
        integration with GNOME and gsettings-desktop-schemas
    + debian/control:
      - added texlive-latex-recommended, hicolor-icon-theme as
        recommended packages
      - moved rubber from depends to suggested
      - added texlive-latex-extra as suggested
  * All other Ubuntu changes are dropped as no longer needed, or have
    been imported in the last debian packages.
  
  [ Mahyuddin Susanto ]
  * debian/control: Fix typos, Suggest -> Suggests.

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 17 Jan 2012 23:47:30 +0700

latexila (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
     + removed extra leading whitespaces in licenses blocks.
     + added missing license block GPL-2+.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 23 Oct 2011 22:33:20 +0200

latexila (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: update dependencies.
  * debian/latexila.lintian-overrides: comment the fact that lintian only
    detects the missing manpage when run on the single latexila binary
    package.
  * debian/copyright:
     + updated Format (no change required).
     + updated Copyright dates.
     + detailed COMSOLiD acronym.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 10 Sep 2011 23:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.4), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4), gsettings-desktop-schemas-dev, itstool
+XSBC-Original-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.10), libglib2.0-dev (>= 2.26), libgee-dev, libunique-dev, libx11-dev, cmake (>= 2.6.4), gettext, itstool, gsettings-desktop-schemas-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.gnome.org/latexila/
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git

## latexila 2.3.1

=== debian/changelog ===
latexila (2.3.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #930810)
  * Upstream ChangeLog:
   + 2.2 -> 2.3.0:
    - Spell checking with GtkSpell
    - Build Tools: add XeTeX -> PDF with Latexmk
    - Improve figure environment insertion
    - Templates: better icons
    - Added Esperanto translation
    - Updated Swedish, French and German translations
    - New CMake option: VALAC
    - Switch to Vala 0.14 
   + 2.3.0 -> 2.3.1:
    - More completion data
    - Support drag and drop of a list of files
    - Completion: code clean-up
    - Beamer environments: frame, block, columns, column
      (in the LaTeX menu and in the edit toolbar)
    - Fix bug for structure actions 'delete' and 'cut'
    - Add Simplified Chinese, Norwegian bokmål translations
    - Updated Spanish translation
  * debian/control:
   - libgtkspell-dev is now needed as a new build-dep
   - Added texlive-xetex as suggested package for 'latexila'
  * debian/watch:
   - Upstream tarballs are now compressed in .tar.xz

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 14 Feb 2012 01:05:14 +0200

## latexila 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project ("latexila" C)
 
 set (APP_NAME "LaTeXila")
-set (APP_VERSION "2.2.0")
+set (APP_VERSION "2.4.0")
 
 message (STATUS "*** Building ${APP_NAME} ${APP_VERSION} ***")
 
@@ -13,6 +13,7 @@
 set (WITH_GNOME OFF CACHE BOOL
 	"Use gsettings-desktop-schemas for a better integration with GNOME")
 set (COMPILE_SCHEMA ON CACHE BOOL "Compile the GSettings schema")
+set (VALAC "" CACHE FILEPATH "The valac executable to use")
 
 # Native Language Support
 set (GETTEXT_PACKAGE "latexila")
@@ -25,19 +26,32 @@
 set (ICONS_DIR "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor")
 
 if (BUILD_VALA)
-	list (APPEND CMAKE_MODULE_PATH "${latexila_SOURCE_DIR}/cmake/vala")
-	find_package (Vala "0.12.1" REQUIRED)
-	if (${VALA_VERSION} VERSION_GREATER "0.12.99")
-		message (FATAL_ERROR "Vala 0.12.x required")
+	include ("${latexila_SOURCE_DIR}/cmake/find_vala.cmake")
+	include ("${latexila_SOURCE_DIR}/cmake/use_vala.cmake")
+
+	set (_vala_main_version "0.16")
+	set (_vala_min_version "0.16.0")
+
+	if (VALAC)
+		message (STATUS "Use custom valac: ${VALAC}")
+		set (VALA_EXECUTABLE ${VALAC})
+	else ()
+		find_vala (${_vala_main_version})
+
+		if ((NOT VALA_FOUND) OR
+		    ("${VALA_VERSION}" VERSION_LESS "${_vala_min_version}"))
+			message (FATAL_ERROR
+				"Vala ${_vala_main_version}.x >= ${_vala_min_version} required")
+		endif ()
 	endif ()
-	include (${VALA_USE_FILE})
 endif ()
 
 find_package (PkgConfig)
 pkg_check_modules (GTK REQUIRED "gtk+-2.0 >= 2.16")
 pkg_check_modules (GTKSOURCEVIEW REQUIRED "gtksourceview-2.0 >= 2.10")
+pkg_check_modules (GTKSPELL REQUIRED "gtkspell-2.0")
 pkg_check_modules (GEE REQUIRED "gee-1.0")
-pkg_check_modules (GIO REQUIRED "gio-2.0 >= 2.26")
+pkg_check_modules (GIO REQUIRED "gio-2.0 >= 2.30")
 pkg_check_modules (UNIQUE REQUIRED "unique-1.0")
 pkg_check_modules (GDK-X11 REQUIRED "gdk-x11-2.0")
 pkg_check_modules (X11 REQUIRED "x11")
@@ -56,6 +70,7 @@
 add_definitions (
 	${GTK_CFLAGS}
 	${GTKSOURCEVIEW_CFLAGS}
+	${GTKSPELL_CFLAGS}
 	${GEE_CFLAGS}
 	${GIO_CFLAGS}
 	${UNIQUE_CFLAGS}
@@ -66,6 +81,7 @@
 link_libraries (
 	${GTK_LIBRARIES}
 	${GTKSOURCEVIEW_LIBRARIES}
+	${GTKSPELL_LIBRARIES}
 	${GEE_LIBRARIES}
 	${GIO_LIBRARIES}
 	${UNIQUE_LIBRARIES}

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 install (FILES "org.gnome.latexila.gschema.xml"
-	DESTINATION "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas/")
-install (SCRIPT "cmake-compile-schemas")
+	DESTINATION "share/glib-2.0/schemas")
+
+if (COMPILE_SCHEMA)
+	install (SCRIPT "compile-schemas.cmake")
+endif ()
 
 install (FILES "latexhelp.html" DESTINATION ${DATA_DIR})
 install (FILES "completion.xml" DESTINATION ${DATA_DIR})
@@ -10,7 +13,6 @@
 add_subdirectory ("templates")
 add_subdirectory ("images/app")
 add_subdirectory ("images/icons")
-add_subdirectory ("images/templates")
 add_subdirectory ("images/arrows")
 add_subdirectory ("images/delimiters")
 add_subdirectory ("images/greek")

=== data/templates/CMakeLists.txt ===
set (src_dir "${latexila_SOURCE_DIR}/data/templates")
set (tmp_dir "${latexila_BINARY_DIR}/data/templates")
set (install_dir "${DATA_DIR}/templates")
set (po_dir "${latexila_SOURCE_DIR}/po")

# Get list of XML files
file (GLOB path_files "${src_dir}/C/*")
set (list_files)
foreach (path_file ${path_files})
	get_filename_component (file ${path_file} NAME_WE)
	set (list_files ${list_files} "${file}.tex")
endforeach ()

###
# Generate default *.tex
###

# Get the paths of the new files
set (lang "C")
set (lang_files)
foreach (file ${list_files})
	set (lang_files ${lang_files} "${tmp_dir}/${lang}/${file}")
endforeach ()

# Generate the *.tex files from the *.xml
add_custom_command (
	OUTPUT ${lang_files}
	COMMAND mkdir -p ${tmp_dir}/${lang}
	COMMAND ${src_dir}/gen_tex.sh ${src_dir}/${lang} ${tmp_dir}/${lang}
	DEPENDS ${path_files}
)

# Install the directory (which contains only the *.tex files)
install (DIRECTORY ${tmp_dir}/${lang} DESTINATION ${install_dir})

set (all_new_files ${lang_files})

###
# Generate *.tex foreach language
###

file (GLOB_RECURSE po_files "${po_dir}/*.po")
foreach (po_file ${po_files})
	# Get the language name
	get_filename_component (lang ${po_file} NAME_WE)

	# Get the paths of the new files
	set (lang_files)
	foreach (file ${list_files})
		set (lang_files ${lang_files} "${tmp_dir}/${lang}/${file}")
	endforeach ()

	# Generate the new files from the .po
	set (mo_file "${tmp_dir}/${lang}.mo")
	add_custom_command (
		OUTPUT ${lang_files}
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${mo_file} ${po_file}
		COMMAND mkdir -p ${tmp_dir}/${lang}-xml ${tmp_dir}/${lang}
		COMMAND ${ITSTOOL_EXECUTABLE} -i ${src_dir}/templates.its -m ${mo_file} -o ${tmp_dir}/${lang}-xml/ ${path_files}
		COMMAND ${src_dir}/gen_tex.sh ${tmp_dir}/${lang}-xml ${tmp_dir}/${lang}
		DEPENDS ${po_file}
	)

	# Install the directory (which contains only the *.tex files)
	install (DIRECTORY ${tmp_dir}/${lang} DESTINATION ${install_dir})

	set (all_new_files ${all_new_files} ${lang_files})
endforeach ()

add_custom_target ("templates" ALL DEPENDS ${all_new_files})

=== debian/changelog ===
latexila (2.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #668533).
  * debian/watch:
     + fix a gallicism (“pair” → “even”).
     + update for upstream .tar.xz instead of .tar.bz2 which are no longer
       proposed.
  * debian/control:
     + update dependencies (glib >= 2.30).
     + update Standards-Version to 9.3.2 (no change required).
     + recommend latexmk | rubber instead of depending on them.
       (Closes: #647773)
  * debian/copyright: update to released format (no change required).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 13 Apr 2012 22:10:56 +0200

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.10), libglib2.0-dev (>= 2.30), libgee-dev, libunique-dev, libgtkspell-dev, libx11-dev, cmake (>= 2.6.4), gettext, itstool
Standards-Version: 3.9.3
Homepage: http://projects.gnome.org/latexila/
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git
DM-Upload-Allowed: yes

Package: latexila
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version})
Recommends: texlive, latexmk | rubber
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila

=== debian/watch ===
version=3

# Upstream uses even intermediate version numbers for stable releases
ftp://ftp.gnome.org/pub/GNOME/sources/latexila/(\d+\.[02468]+)/latexila-([\d\.]+).tar.xz

## latexila 2.6.1

=== debian/changelog ===
latexila (2.6.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog:
    (2.4.0 -> 2.4.1):
   - Figure insertion: swap \label and \caption
   - Updated French, Czech translations
   - Added Indonesian translation
    (2.4.1 -> 2.6.0):
   - Port to GTK+ 3
   - Forward and backward search with SyncTeX
   - Improvements to the build tools and the build view
   - Improvements to the integrated file browser
   - Structure: open an included file or an image
   - Build system: switch from CMake to the Autotools
   - A lot of code cleanup and refactoring 
    (2.6.0 -> 2.6.1):
   - Autotools: required version of Vala is now optional
   - Comment selected lines: comment empty lines too
   - Misc bug fixes
    (for more details, the NEWS file is available with this package)
  * debian/control & debian/rules:
   - Switched from CMake to the Autotools
   - Switched from GTK2 to GTK3
   - Added intltool and libxml2-utils
  * debian/rules:
   - Configure Flags are no longer available.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 03 Nov 2012 17:24:39 +0100

latexila (2.4.0-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #967851)
  * Upstream Changelog;
   - Document compilation: set temporary location if file not saved
   - More documentation
   - Structure: bug fix for the display of simple lists
   - Build View: remove button "show critical errors"
   - Templates: code clean-up
   - More LaTeX commands for the completion
   - F12 shortcut to show/hide the side panel
   - TODO file removed (now in the wiki)
   - Updated Spanish, Slovenian, Serbian, French, German, Latvian,
      Norwegian bokmål and Czech translations

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 02 Apr 2012 23:24:41 -0400

## latexila 2.6.2

=== debian/changelog ===
latexila (2.6.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.6.1 -> 2.6.2)
    - Misc bug fixes
    - Translations updates

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 25 Nov 2012 00:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: latexila
 Section: tex
 Priority: optional
-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.16), libgtksourceview2.0-dev (>= 2.10), libglib2.0-dev (>= 2.30), libgee-dev, libunique-dev, libgtkspell-dev, libx11-dev, cmake (>= 2.6.4), gettext, itstool
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Build-Depends: debhelper (>= 7.0.50~), libgtk-3-dev (>= 3.4.3), libgtksourceview-3.0-dev (>= 3.4.1), libglib2.0-dev (>= 2.32), libgee-dev, libx11-dev, gsettings-desktop-schemas-dev, itstool, intltool (>= 0.40.0), libxml2-utils, libenchant-dev, autoconf, gettext
 Standards-Version: 3.9.3
 Homepage: http://projects.gnome.org/latexila/
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
@@ -11,8 +12,9 @@
 
 Package: latexila
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version})
-Recommends: texlive, latexmk | rubber
+Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version}), latexmk, gsettings-desktop-schemas
+Recommends: texlive, texlive-latex-recommended, hicolor-icon-theme
+Suggests: rubber, texlive-latex-extra, texlive-xetex
 Description: LaTeX editor designed for the GNOME desktop
  LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
  for processing LaTeX documents. It provides menus, buttons and templates to

=== debian/watch ===
version=3

# Upstream uses pair intermediate version numbers for stable releases
ftp://ftp.gnome.org/pub/GNOME/sources/latexila/(\d+\.[02468]+)/latexila-([\d\.]+).tar.xz

## latexila 2.8.1

=== debian/changelog ===
latexila (2.8.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.6.2 -> 2.7.0)
    - Insert table and tabular: more complete example
    - Changes in the toolbars
    - Build tools: use shorter options with Latexmk
    - Build tools: remove support of Rubber
    - Misc bug fixes
    - Translations updates
  * Upstream ChangeLog: (2.7.0 -> 2.8.0)
    - Allow the menu bar to shrink below its minimum size
    - Load and save accelerator maps (it's now possible to edit the keyboard
      shortcuts)
    - Change the application icons
    - Add Ctrl+E shortcut for \emph{}
    - Improvements to the completion
    - Misc bugfixes
    - Translations updates
  * Upstream ChangeLog: (2.8.0 -> 2.8.1)
    - Bump required version of GLib to 2.36
    - Add Catalan and Greek translations
    - Translations updates
    - Misc bugfixes
  * debian/control:
    - Bump required version of GLib, Gtk and GtkSourceView
    - Bump Standards-Version (no change needed)
    - Remove 'DM-Upload-Allowed' obsolete field

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 25 May 2013 15:37:36 +0200

latexila (2.6.2-0ubuntu2) saucy; urgency=low

  * No-change rebuild for gtksourceview3 transition

 -- Iain Lane <iain.lane@canonical.com>  Fri, 24 May 2013 15:29:43 +0100

## latexila 2.8.2

=== debian/changelog ===
latexila (2.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.8.1 -> 2.8.2)
    - Misc bug fixes

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 07 Jun 2013 21:06:03 +0200

## latexila 2.8.3

=== debian/changelog ===
latexila (2.8.3-1) unstable; urgency=low

  * New upstream release.
    (most important change; fix segfault crash when personal configuration
    files includes a reference to an unknown build tool)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 08 Sep 2013 18:24:54 +0200

latexila (2.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/compat, debian/rules: enable build hardening.
  * debian/control:
     + update dependencies
        - update build-depends for new upstream version,
        - build-depend on autotools-dev to update configure script.
     + remove deprecated DM-Upload-Allowed field.
     + update Standards-Versions to policy 3.9.4 (no change needed).
  * debian/patches:
     + fix-typo-choosen.patch: correct a typo, “choosen” → “chosen”.
     + keywords-in-latexila.desktop.patch: add keywords to the desktop entry.
  * debian/rules: remove generated C files on cleanup, as they are not really
    necessary and would be detected as modified.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 14 Aug 2013 10:44:16 +0200

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 9~), autotools-dev,
    libglib2.0-dev (>= 2.36), libgtk-3-dev (>= 3.6.0), libgtksourceview-3.0-dev (>= 3.8.0), libgee-dev, gettext, gsettings-desktop-schemas-dev, libenchant-dev,
    valac (>= 0.20.0),
    intltool, itstool, libxml2-utils
Standards-Version: 3.9.4
Homepage: http://projects.gnome.org/latexila/
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

Package: latexila
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version})
Recommends: texlive, latexmk (>= 4.31)
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh  $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	# Remove regenerated files, that are not really necessary, and that
	# would be detected as modified.
	rm -f src/*.c

## latexila 2.10.0

=== debian/changelog ===
latexila (2.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.8 -> 2.10)
    - The search and replace has been improved, to use the new API from
      GtkSourceView.
    - The upstream version of GtkSpell is used.
    - Improvements to the completion
    - AppData file
    - Translations updates
  * debian/control:
    - Used 'wrap-and-sort' tool to reformat the text
    - Bumpped min version of Gtk and GtkSourceView
    - Used GtkSpell3 instead of Enchant
    - Updated homepage website to the new one

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 13 Dec 2013 00:55:58 +0100

latexila (2.8.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Upstream ChangeLog: (2.8.2 -> 2.8.3)
    - Build tools: fix crash on unknown post processor
    - Updated Galician translations
  * debian/rules:
    - added '--parallel'

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 31 Aug 2013 18:10:02 +0200

## latexila 2.10.1

=== debian/changelog ===
latexila (2.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.10.0 -> 2.10.1)
    - Translations updates
    - Update URL of main web site (now on the wiki)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 18 Feb 2014 22:51:29 +0100

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: autoconf,
               debhelper (>= 7.0.50~),
               gettext,
               gsettings-desktop-schemas-dev,
               intltool (>= 0.40.0),
               itstool,
               libgtkspell3-3-dev (>= 3.0.4),
               libgee-dev,
               libglib2.0-dev (>= 2.36),
               libgtk-3-dev (>= 3.10.0),
               libgtksourceview-3.0-dev (>= 3.10.0),
               libx11-dev,
               libxml2-utils
Standards-Version: 3.9.4
Homepage: https://wiki.gnome.org/Apps/LaTeXila
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

Package: latexila
Architecture: any
Depends: gsettings-desktop-schemas,
         latexila-data (= ${source:Version}),
         latexmk,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hicolor-icon-theme, texlive, texlive-latex-recommended
Suggests: rubber, texlive-latex-extra, texlive-xetex
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila

## latexila 2.12.1

=== debian/changelog ===
latexila (2.12.1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.10.1 -> 2.12.0)
    - Refresh structure when saving
    - Misc bugfixes and small improvements
    - Translations updates
  * Upstream ChangeLog: (2.12.0 -> 2.12.1)
    - Fix regex in latex post-processor
    - Added Polish translation
    - Translation updates
  * debian/control:
    - GLib 2.40 is required
    - Bumped Standards-Version (no changes required)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 11 May 2014 22:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                itstool,
                libgtkspell3-3-dev (>= 3.0.4),
                libgee-dev,
-               libglib2.0-dev (>= 2.36),
+               libglib2.0-dev (>= 2.40),
                libgtk-3-dev (>= 3.10.0),
                libgtksourceview-3.0-dev (>= 3.10.0),
                libx11-dev,
                libxml2-utils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://wiki.gnome.org/Apps/LaTeXila
 Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
 Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS=-Wl,--as-needed

%:
	dh  $@  --parallel

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## latexila 3.14.0

=== debian/changelog ===
latexila (3.14.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #753874, #763215)
  * debian/clean: use dh_clean to remove regenerated files, that are not
    really necessary and that would be detected as modified.
  * debian/rules: remove code to remove regenerated files, that are now
    removed with dh_clean.
  * debian/control: update build dependencies.
  * debian/patches/fix-typo-choosen.patch: refresh patch.
  * debian/copyright: group translation copyright and remove notice of files
    that have been removed since.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 30 Sep 2014 23:12:04 +0200

latexila (2.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + update dependencies.
     + update Standards-Version to 3.9.5 (no change required).
  * debian/watch: update to take into account two-digits minor number.
    (Closes: #757034)
  * debian/patches/fix-typo-choosen.patch: refresh.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 14 Aug 2014 16:47:03 +0200

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 9~), autotools-dev,
    libglib2.0-dev (>= 2.40), libgtk-3-dev (>= 3.6.0), libgtksourceview-3.0-dev (>= 3.10),
    libgtkspell3-3-dev (>= 3.0.4), libgee-0.8-dev,
    gettext, gsettings-desktop-schemas-dev,
    valac (>= 0.25.4),
    intltool, itstool, libxml2-utils
Standards-Version: 3.9.5
Homepage: http://projects.gnome.org/latexila/
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

Package: latexila
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, latexila-data (= ${source:Version})
Recommends: texlive, latexmk (>= 4.31)
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh  $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## latexila 3.14.2

=== debian/changelog ===
latexila (3.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Upstream ChangeLog: (2.12 -> 3.14)
    - Now LaTeXila follows the GNOME versions
    - Better icons
    - Upgrade to gee-0.8
    - Other small improvements
  * Upstream ChangeLog: (3.14.0 -> 3.14.2)
    - A few bug fixes and small improvements
    - GTK+ 3.14 is required because LaTeXila overrides some CSS properties
      and assumes that GTK+ 3.14 is used.
    - Build: a file was missing in tarballs
    - Add keywords to latexila.desktop
    - Translation updates
  * debian/control:
    - Replaced libgee-dev by libgee-0.8-dev
    - Replaced autoconf by autotools-dev
    - Updated minimal versions (thanks to Tanguy Ortolo)
    - Bumped Standards-Version
    - latexila: set gsettings-desktop-schemas and latexmk as recommended
      packages: we can use LaTeXila without them but it's not recommended
    - latexila: removed rubber as suggested package, added latex-beamer
  * debian/rules:
    - Added LD flags in DEB_LDFLAGS_MAINT_APPEND
    - Added DEB_BUILD_MAINT_OPTIONS (thanks to Tanguy Ortolo)
  * debian/compat:
    - Bumped to 9th version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Feb 2015 12:07:58 +0100

=== debian/control ===
Source: latexila
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               gettext,
               gsettings-desktop-schemas-dev,
               intltool,
               itstool,
               libgee-0.8-dev (>= 0.10),
               libglib2.0-dev (>= 2.40),
               libgtk-3-dev (>= 3.14),
               libgtksourceview-3.0-dev (>= 3.10.0),
               libgtkspell3-3-dev (>= 3.0.4),
               libxml2-utils
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/LaTeXila
Vcs-Git: git://git.ortolo.eu/pkg-latexila.git
Vcs-Browser: http://git.ortolo.eu/pkg-latexila.git

Package: latexila
Architecture: any
Depends: latexila-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gsettings-desktop-schemas,
            hicolor-icon-theme,
            latexmk (>= 4.31),
            texlive
Suggests: latex-beamer, texlive-latex-extra, texlive-xetex
Description: LaTeX editor designed for the GNOME desktop
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.

Package: latexila-data
Architecture: all
Depends: ${misc:Depends}
Description: LaTeXila editor -- arch-independent files
 LaTeXila is a LaTeX editor for GNOME. It integrates the various tools required
 for processing LaTeX documents. It provides menus, buttons and templates to
 assist with the edition and the compilation of documents.
 .
 This package contains documentation and arch-independent files for LaTeXila
